Module java.desktop
Package javax.swing.plaf.basic

## Class BasicBorders.MarginBorder

- java.lang.Object
- - javax.swing.border.AbstractBorder
  - - javax.swing.plaf.basic.BasicBorders.MarginBorder

- All Implemented Interfaces:
    `Serializable`, `Border`, `UIResource`
  Enclosing class:
    BasicBorders

      public static class BasicBorders.MarginBorder
      extends AbstractBorder
      implements UIResource

  Draws the border around components which support margins.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MarginBorder​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Insets` | `getBorderInsets​(Component c, Insets insets)` | Reinitializes the insets parameter with this Border's current Insets.

    - ### Methods inherited from class javax.swing.border.AbstractBorder

      `getBaseline, getBaselineResizeBehavior, getBorderInsets, getInteriorRectangle, getInteriorRectangle, isBorderOpaque, paintBorder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MarginBorder

          public MarginBorder​()

  - ### Method Detail

    - #### getBorderInsets

          public Insets getBorderInsets​(Component c,
                                        Insets insets)

      Description copied from class: `AbstractBorder`
      Reinitializes the insets parameter with this Border's current Insets.
      Overrides:
        `getBorderInsets` in class `AbstractBorder`
      Parameters:
        `c` - the component for which this border insets value applies
        `insets` - the object to be reinitialized
      Returns:
        the `insets` object